Results 1 to 2 of 2

Thread: duplicate key: framework during 5.1.3 to 6.1.1 upgrade

  1. #1
    Sencha Premium User
    Join Date
    Oct 2015
    Location
    Grand Rapids, Michigan
    Posts
    8

    Default duplicate key: framework during 5.1.3 to 6.1.1 upgrade

    I've been having trouble running sencha app upgrade in the terminal. One of the scripts is adding a duplicate "framework": "touch" line to the top of my app.json file. The upgrade then fails with the following error:
    Code:
    [ERR] com.sencha.exceptions.ExScript: Wrapped com.sencha.exceptions.BasicException: Failed to load JSON from /path/to/my/app/app.json - duplicate key: framework (/path/to/Sencha/Cmd/6.1.1.76/ant/ant-util.js#849)
       runSencha (/path/to/bin/Sencha/Cmd/6.1.1.76/ant/ant-util.js:848)
       runAppUpgrade (anonymous:270)
       [anonymous] (anonymous:290)
       x_app_upgrade (anonymous:288)
    [ERR]

    If I remove the original "framework": "touch" line, I predictably get an error that it is missing. I've been having other issues, including xcode crashing when I attempt to load the ios project file I've tried removing/adding the ios platform, and a number of other fixes. I'm not sure if that's at all related. This project was somehow corrupted last week (on the same day my backup drive failed ), and I've just been slogging through putting it back together since.

    UPDATE: I was able to generate a new app and copy the .sencha folder on top of my existing project. I assume that has emulated a successful upgrade, as described in the "Alternative Strategies" section of https://docs.sencha.com/cmd/6.x/cmd_upgrade.html. xCode is still crashing, so I believe the two issues are unrelated.

  2. #2
    Sencha User
    Join Date
    Feb 2013
    Location
    California
    Posts
    11,985

    Default

    Sorry to hear about your failed backup. So (judging by your update) you've managed to get your application to build?

Similar Threads

  1. Framework upgrade and version control.
    By mcg1103 in forum Sencha Cmd
    Replies: 1
    Last Post: 18 Jan 2016, 4:44 PM
  2. Upgrade framework from ExtJs 4.1.x to 4.2.x
    By ElCondor1969 in forum Sencha Architect 3.x: Q&A
    Replies: 3
    Last Post: 17 Nov 2013, 5:34 AM
  3. How to upgrade project files to newer framework versions?
    By cribellum in forum Sencha Architect 2.x: Help & Discussions
    Replies: 5
    Last Post: 28 Oct 2013, 11:47 AM
  4. How to upgrade extjs framework from 4.0 to 4.1 in sencha architect ?
    By honggang.z.zhu in forum Sencha Architect 2.x: Help & Discussions
    Replies: 1
    Last Post: 2 Jan 2013, 7:43 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •